#include <iostream>
#include <vector>
#include <algorithm>

struct fr {
	double p;
	int a;

	fr() {}
};

struct manje
{
	inline bool operator() (const fr& a, const fr& b)
	{
		return (a.p > b.p);
	}
};

int main()
{
	std::ios_base::sync_with_stdio(false);
	std::cin.tie(nullptr);
	std::cout.tie(nullptr);
	
	std::cout.precision(15);

	int n;
	std::cin >> n;
	std::vector<fr> fr(n);

	for (int i = 0; i < n; i++) {
		std::cin >> fr[i].a >> fr[i].p;
		fr[i].p /= 100;
	}
	
	std::sort(fr.begin(), fr.end(), manje());

	double max = INT64_MIN, r = 0;
	
	for (int i = 0; i < n; i++) {
		r += fr[i].a;
		if (r*fr[i].p > max)
			max = r * fr[i].p;
		
	}

	std::cout << max + 0.0001f;

	return 0;
}